std::ostreambuf_iterator< _CharT, _Traits > Class Template Reference
I/O | Iterators
Inheritance diagram for std::ostreambuf_iterator< _CharT, _Traits >:
[legend]

## Public Types

typedef void | difference_type
typedef output_iterator_tag | iterator_category
typedef void | pointer
typedef void | reference
typedef void | value_type
typedef _CharT | char_type
typedef _Traits | traits_type
typedef basic_streambuf< _CharT, _Traits > | streambuf_type
typedef basic_ostream< _CharT, _Traits > | ostream_type

## Public Member Functions

| ostreambuf_iterator (ostream_type &__s) noexcept
| ostreambuf_iterator (streambuf_type *__s) noexcept
ostreambuf_iterator & | _M_put (const _CharT *__ws, streamsize __len)
bool | failed () const noexcept
ostreambuf_iterator & | operator* ()
ostreambuf_iterator & | operator++ (int)
ostreambuf_iterator & | operator++ ()
ostreambuf_iterator & | operator= (_CharT __c)

## Friends

template<typename _CharT2 >
__gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, ostreambuf_iterator< _CharT2 > >::__type | copy (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, ostreambuf_iterator< _CharT2 >)

## Detailed Description

### template<typename _CharT, typename _Traits>
class std::ostreambuf_iterator< _CharT, _Traits >

Provides output iterator semantics for streambufs.

Definition at line 128 of file iosfwd.

## Member Typedef Documentation

## char_type

template<typename _CharT, typename _Traits>

typedef _CharT std::ostreambuf_iterator< _CharT, _Traits >::char_type

Public typedefs.

Definition at line 223 of file streambuf_iterator.h.

## difference_type

typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type

inherited

Distance between iterators is represented as this type.

Definition at line 125 of file stl_iterator_base_types.h.

## iterator_category

typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category

inherited

One of the tag types.

Definition at line 121 of file stl_iterator_base_types.h.

## ostream_type

template<typename _CharT, typename _Traits>

typedef basic_ostream<_CharT, _Traits> std::ostreambuf_iterator< _CharT, _Traits >::ostream_type

Public typedefs.

Definition at line 226 of file streambuf_iterator.h.

## pointer

typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer

inherited

This type represents a pointer-to-value_type.

Definition at line 127 of file stl_iterator_base_types.h.

## reference

typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference

inherited

This type represents a reference-to-value_type.

Definition at line 129 of file stl_iterator_base_types.h.

## streambuf_type

template<typename _CharT, typename _Traits>

typedef basic_streambuf<_CharT, _Traits> std::ostreambuf_iterator< _CharT, _Traits >::streambuf_type

Public typedefs.

Definition at line 225 of file streambuf_iterator.h.

## traits_type

template<typename _CharT, typename _Traits>

typedef _Traits std::ostreambuf_iterator< _CharT, _Traits >::traits_type

Public typedefs.

Definition at line 224 of file streambuf_iterator.h.

## value_type

typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type

inherited

The type "pointed to" by the iterator.

Definition at line 123 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

## ostreambuf_iterator() [1/2]

template<typename _CharT, typename _Traits>

std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator | ( | ostream_type & | __s | ) |

inline noexcept

Construct output iterator from ostream.

Definition at line 241 of file streambuf_iterator.h.

## ostreambuf_iterator() [2/2]

template<typename _CharT, typename _Traits>

std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator | ( | streambuf_type * | __s | ) |

inline noexcept

Construct output iterator from streambuf.

Definition at line 245 of file streambuf_iterator.h.

## Member Function Documentation

## failed()

template<typename _CharT, typename _Traits>

bool std::ostreambuf_iterator< _CharT, _Traits >::failed | ( |  | ) | const

inline noexcept

Return true if previous operator=() failed.

Definition at line 275 of file streambuf_iterator.h.

References std::basic_streambuf< _CharT, _Traits >::egptr(), std::basic_streambuf< _CharT, _Traits >::gptr(), std::basic_streambuf< _CharT, _Traits >::sgetc(), and std::basic_streambuf< _CharT, _Traits >::sputn().

## operator*()

template<typename _CharT, typename _Traits>

ostreambuf_iterator& std::ostreambuf_iterator< _CharT, _Traits >::operator* | ( |  | ) |

inline

Return *this.

Definition at line 260 of file streambuf_iterator.h.

## operator++() [1/2]

template<typename _CharT, typename _Traits>

ostreambuf_iterator& std::ostreambuf_iterator< _CharT, _Traits >::operator++ | ( | int |  | ) |

inline

Return *this.

Definition at line 265 of file streambuf_iterator.h.

## operator++() [2/2]

template<typename _CharT, typename _Traits>

ostreambuf_iterator& std::ostreambuf_iterator< _CharT, _Traits >::operator++ | ( |  | ) |

inline

Return *this.

Definition at line 270 of file streambuf_iterator.h.

## operator=()

template<typename _CharT, typename _Traits>

ostreambuf_iterator& std::ostreambuf_iterator< _CharT, _Traits >::operator= | ( | _CharT | __c | ) |

inline

Write character to streambuf. Calls streambuf.sputc().

Definition at line 250 of file streambuf_iterator.h.

References std::basic_streambuf< _CharT, _Traits >::sputc().

The documentation for this class was generated from the following files:

- iosfwd
- streambuf_iterator.h